/**
 * @module flitter-auth/deploy/models/User
 */

/**
 * This model stores the user data from Flitter-auth. The username
 * and password fields are fairly self-evident. Password hashes are
 * stored instead of cleartext. The data field is for JSON data that
 * holds various non-DB essential pieces of information about users.
 *
 * @type {Object}
 */
module.exports = exports = {
    username: String,
    password: String,
    data: String,
    uuid: String,
    role: String,
    permissions: [String],
}
